<?php
require_once("config_sql.php");
$nu = date("d F Y G:i:s");
$login_ok = "nee";
if((ISSET($_GET['naam'])) && (ISSET($_GET['pass'])))
{
	$ok_pass = halen("SELECT wachtwoord FROM members WHERE naam='".$_GET['naam']."';");
	$ok_functie = halen("SELECT functie FROM members WHERE naam='".$_GET['naam']."';");
	if ($ok_pass == $_GET['pass'])
	{
		$login_ok = "ja";
	}
}
if (ISSET($_GET['naam']))
{
	$last_earned = halen("SELECT last_earned FROM members WHERE naam='".$_GET['naam']."';");
	if($login_ok == "ja")
	{
		$site_actie = halen("SELECT waarde FROM setting WHERE id='4';");
		$actie_nu_member = halen("SELECT actie FROM members WHERE naam = '".$_GET['naam']."'");
		$money_nu_member = halen("SELECT money FROM members WHERE naam = '".$_GET['naam']."'");
		if((strtotime($nu)-40) >= $last_earned)
		{
			$actie_nu_member++;
			$site_actie++;
			if ($ok_functie != "jabbo")
			{
				$money_nu_member = $money_nu_member + 2;
			}
			else
			{
				$money_nu_member = $money_nu_member + 1;
			}
			mysql_query("UPDATE members SET last_online2 = NOW(), actie = '".$actie_nu_member."', money = '".$money_nu_member."', last_earned = '".strtotime($nu)."' WHERE naam = '".$_GET['naam']."'");
			mysql_query("UPDATE setting SET waarde='".$site_actie."' WHERE id='4';");
		}
		echo $money_nu_member;
	}
}
?>